# Interface RemoteThreadsListener

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `RemoteThreadsListenerImpl`

public interface RemoteThreadsListener extends Remote
RMI Interface that allows notification of remote start/end of threads

Since:
  2.10

## Method Summary

Modifier and Type
Method
Description
`void`
`threadFinished()`
`void`
`threadStarted()`

## Method Details

### threadStarted

void threadStarted() throws RemoteException

Throws:
  `RemoteException` - when remote calling of the method fails
See Also:
  - `ThreadListener.threadStarted()`

### threadFinished

void threadFinished() throws RemoteException

Throws:
  `RemoteException` - when remote calling of the method fails
See Also:
  - `ThreadListener.threadFinished()`